body {
  margin: 0;
  font-family: 'courier new', monospace;
  background-color: #121212;
  color: #ffffff;
}

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #1a1a1a;
  padding: 1rem 2rem;
  transition: background-color 0.3s ease;
}

.nav-left {
  display: flex;
  align-items: center;
  gap: 1rem; /* Space between logo and mode button */
}

.nav-logo {
  font-size: 1.5rem;
  font-weight: bold;
  color: #05c425;
  text-decoration: none;
}

.generator {
    background-color: #1a1a1a;
    width: 500px;
    margin: 150px auto;
    padding: 20px;
    border-radius: 10px;
}

div.password {
    display: grid;
    grid-template-columns: auto min-content;
    border-radius: 10px;
    overflow: hidden;
}

div.password input {
    padding: 7px 10px;
    background-color: #ddd;
    border: 0;
    color: #333;
}

button {
    background-color: #05c425;
    color: #fff;
    text-transform: uppercase;
    padding: 5px 15px;
    border: 0;
    border-radius: 10px;
}

div.password button {
    border-radius: 0;
}

div.range {
    margin: 10px 0;
    display: grid;
    grid-template-columns: 1fr min-content;
}

div.range span {
    background-color: #05c425;
    padding: 10px;
    margin-left: 20px;
    min-width: 30px;
    text-align: center;
    border-radius: 10px;
}

div.options {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
}

div.options label {
    display: block;
    background-color: #05c425;
    padding: 10px;
    border-radius: 10px;
    cursor: pointer;
    font-family: sans-serif;
}

button.generate {
    font-size: 1.2rem
    width: 100%;
    margin-top: 10px;
    padding: 10px;
}

h1 {
    text-align: center;
    color: #4caf50;
}
